
Robotics Systems Types - Enhancement #2706
Patch for more detailed tracking informations
01/26/2017 03:56 PM - R. Zorn

Status: Resolved Start date: 01/26/2017
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Type Proposal Estimated time: 0.00 hour
Target version: rsb-0.16
Description

Please review and add the following patch!

These types are used in the CSRA project.

Associated revisions
Revision db74306a - 02/16/2017 09:51 AM - R. Zorn

Added field persistent_id to rst.tracking.TrackingInfo

refs #2706

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

Revision 4c17db7f - 02/16/2017 09:51 AM - J. Moringen

Added field id to rst.hri.PersonHypothesis

fixes #2706

Revision 637b0a3f - 02/16/2017 09:55 AM - R. Zorn

Backport: Added field persistent_id to rst.tracking.TrackingInfo

refs #2706

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

(cherry picked from commit db74306a317d4592fee7add49cd9b9b6374db9f5)

Revision 3cd58445 - 02/16/2017 09:55 AM - J. Moringen

Backport: Added field id to rst.hri.PersonHypothesis

refs #2706

(cherry picked from commit 4c17db7f59c066022ddfc7ba1b827911eb79bd2b)
History
#1 - 01/30/2017 02:48 PM - J. Moringen
- File 0001-Added-field-persistent_id-to-rst.tracking.TrackingIn.patch added
- File 0002-Added-field-id-to-rst.hri.PersonHypothesis.patch added
- Category set to Type Proposal
- Status changed from New to Feedback
- Target version set to rsb-0.16

Hi, we restructured the patch slightly. Please check the attached patches and let us know whether the updated version works for you.

#2 - 02/15/2017 12:18 PM - R. Zorn

Suggested patch works and can be applied.

#3 - 02/16/2017 09:58 AM - J. Moringen
- Status changed from Feedback to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:rst-proto|4c17db7f59c066022ddfc7ba1b827911eb79bd2b.

Files
0001-added-atributes-trackingid-identificationid.patch 867 Bytes 01/26/2017 R. Zorn
0001-Added-field-persistent_id-to-rst.tracking.TrackingIn.patch 1.26 KB 01/30/2017 J. Moringen
0002-Added-field-id-to-rst.hri.PersonHypothesis.patch 1 KB 01/30/2017 J. Moringen
